<v-app id="main">
    <v-navigation-drawer app clipped v-model="showNav" color="gray lighten-4">
        <v-list dense>
            <v-list-item link to="/">
                <v-list-item-action>
                    <v-icon>mdi-home</v-icon>
                </v-list-item-action>
                <v-list-item-content>
                    <v-list-item-title>Shop</v-list-item-title>
                </v-list-item-content>
            </v-list-item>
            <v-list-item link to="/basket">
                <v-list-item-action>
                    <v-icon>mdi-cart</v-icon>
                </v-list-item-action>
                <v-list-item-content>
                    <v-list-item-title>Busket</v-list-item-title>
                </v-list-item-content>
            </v-list-item>
        </v-list>
    </v-navigation-drawer>

    <v-app-bar app color="deep-purple darken-4" dark clipped-left>
        <v-app-bar-nav-icon @click.stop="showNav = ! showNav" />
        <v-avatar>
            <v-img src="/img/icon-1.png" />
        </v-avatar>
        <v-toolbar-title>
            <span class="title ml-3 mr-5">{{ title }}</span>
        </v-toolbar-title>
        <v-spacer />
        <x-shopping-basket v-bind:quantity="quantity" />
        <v-divider inset vertical class="mx-4" />
        <span>{{ offerPrice }}$</span>
    </v-app-bar>

    <v-content>
        <router-view  @product:basketBuy="productBasketBuy"
                      @product:basketAddId="productBasketAddId"
                      @product:basketDelId="productBasketDelId"
                      @product:basketCloseId="productBasketCloseId"
                      @product:rate="productRate"
                      @basket:order="basketOrder"
                      :products="products"
                      :basket="basket.items"
                      :likes="likes"
                      :offerPrice="offerPrice"
                      :realPrice="realPrice"
                      :quantity="quantity"
                      :limit="basket.limit"
                      :weight="weight"
        />
    </v-content>

    <v-footer app color="indigo" dark class="white--text">
        <v-spacer />
        <span>&copy; 2020</span>
    </v-footer>

    <v-dialog v-model="showThx" max-width="480" persistent @keydown.esc="showThx = false">
        <v-card>
            <v-card-title primary-title class="headline mb-1">
                Thank you
            </v-card-title>
            <v-card-subtitle>
                You will be called back to confirm the order
            </v-card-subtitle>
            <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="red lighten-1" text @click.stop="showThx = false">
                    Close
                </v-btn>
            </v-card-actions>
          </v-card>
    </v-dialog>
</v-app>
